Bug 171048 - Deleting from playlist does not refresh scrollbar of playlist
Summary: Deleting from playlist does not refresh scrollbar of playlist
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Applications
Component: Playlist (show other bugs)
Version: 2.0-SVN
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-14 15:22 UTC by Bassio
Modified: 2009-12-09 11:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bassio 2008-09-14 15:22:39 UTC
Version:           1.90 (using 4.1.1 (KDE 4.1.1), Kubuntu packages)
Compiler:          gcc
OS:                Linux (i686) release 2.6.24-19-generic

Say you have like 50 items in a playlist, of course this needs a scrollbar to appear.

But say you delete 49 items only to leave one.

Expected behavior is to recalculate the height of the playlist to see if the scrollbar is needed anymore.

However this is not the case when I tried this .. and the scrollbar persistent leaving like 3 page-heights of emptiness in which you can freely scroll up and down.

Only after adding a new file to the playlist, the repaint will be invoked and the scrollbar removed.
Comment 1 Lydia Pintscher 2008-09-18 22:37:31 UTC
Happens here as well.
Comment 2 Mark Kretschmann 2008-10-08 15:28:57 UTC
Fixed with Soren's new playlist code.